org.bouncycastle.sasn1.cms

## Class CompressedDataParser

- java.lang.Object
- - org.bouncycastle.sasn1.cms.CompressedDataParser

Deprecated.
use corresponding class in org.bouncycastle.asn1.cms

    public class CompressedDataParser
    extends java.lang.Object

RFC 3274 - CMS Compressed Data.

     CompressedData ::= SEQUENCE {
      version CMSVersion,
      compressionAlgorithm CompressionAlgorithmIdentifier,
      encapContentInfo EncapsulatedContentInfo
     }

### Constructor Summary

Constructors
Constructor and Description
`CompressedDataParser(Asn1Sequence seq)` Deprecated.

### Method Summary

Methods
`org.bouncycastle.asn1.x509.AlgorithmIdentifier` `getCompressionAlgorithmIdentifier()` Deprecated.
`ContentInfoParser` `getEncapContentInfo()` Deprecated.
`Asn1Integer` `getVersion()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressedDataParser

    public CompressedDataParser(Asn1Sequence seq)
                         throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

### Method Detail

#### getVersion

    public Asn1Integer getVersion()

Deprecated.

#### getCompressionAlgorithmIdentifier

    public org.bouncycastle.asn1.x509.AlgorithmIdentifier getCompressionAlgorithmIdentifier()

Deprecated.

#### getEncapContentInfo

    public ContentInfoParser getEncapContentInfo()

Deprecated.